.include "8515def.inc"

.def mp0 = r16

RJMP main

main:

	LDI	mp0,LOW(RAMEND) ; Set up stack
	OUT	SPL,mp0
	LDI	mp0,HIGH(RAMEND)
	OUT	SPH,mp0
	
	LDI	mp0,0b00000000	
	OUT 	DDRD,mp0	;P0 P2-P7 -> Input P1(TxD) -> OUTPUT
	OUT 	PORTD,mp0	;Ground ist 1 = P1 ist LOW
				;LCDisplay aktivieren
	LDI	mp0,0xC0 	;Switch on external SRAM and WAIT
	OUT	MCUCR,mp0

	RCALL	lcd_cl ; Clears display
	RCALL	lcd_st ; Standard display mode
	RCALL	Lcd_char 
	RCALL	lcd_on ; Display on

	LDI	mp0,0x5 ; Goto 1. Line 5. Letter
	RCALL	LCD_sc

	LDI	mp0,0x0
	RCALL	LCD_ch
	
	LDI	mp0,0x1
	RCALL	LCD_ch	
	
	LDI	mp0,0x2
	RCALL	LCD_ch	

	LDI	mp0,0x3
	RCALL	LCD_ch	

	LDI	mp0,0x4
	RCALL	LCD_ch	

	LDI	mp0,0x5
	RCALL	LCD_ch	

	LDI	mp0,0x6
	RCALL	LCD_ch	

	LDI	mp0,0x7
	RCALL	LCD_ch	

loop:			; Loop forever
	RJMP	loop